Skip to Content
Smart Reminders

Get reminder details and stage delivery statuses

View Markdown (.md)
GET
/api/v1/public/reminders/{id}

Retrieves the status of all scheduled alert stages and execution logs for a reminder.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Path Parameters

id*string
Formatuuid

Response Body

Reminder details with individual stage statuses

application/json
  1. response
status?string
data?
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/reminders/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "status": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "recipientPhone": "string",    "senderId": "string",    "eventTitle": "string",    "eventTime": "2019-08-24T14:15:22Z",    "status": "string",    "stages": [      {        "offset": "string",        "status": "string",        "dispatchedAt": "2019-08-24T14:15:22Z"      }    ]  }}